Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I use remote machine ubuntu 12.04 (console only)

Distributor ID: Ubuntu Description: Ubuntu 12.04.4 LTS

i have some strange kernel uname -a Linux 2.6.38.2-grsec-xxxx-grs-ipv6-64 #1 SMP Fri Apr 15 17:44:15 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

-maybe beeter is switch to other kernel ? how to do it ?

(i try install virtual machine on this server)

apt-get install virtualbox

Konfigurowanie virtualbox (4.1.12-dfsg-2ubuntu0.5) ...
 * Stopping VirtualBox kernel modules                                                                             Opening /proc/modules: No such file or directory
Opening /proc/modules: No such file or directory
Opening /proc/modules: No such file or directory
Opening /proc/modules: No such file or directory
                                                                                                           [ OK ]
 * Starting VirtualBox kernel modules                                                                             Opening /proc/modules: No such file or directory
 * No suitable module for running kernel found
                                                                                                           [fail]


Loading new virtualbox-4.1.12 DKMS files...                                                                       
First Installation: checking all kernels...                                                                        
dpkg: ostrzeżenie: wersja "*-*" ma złą składnię: version number does not start with digit                          
It is likely that 2.6.38.2-grsec-xxxx-grs-ipv6-64 belongs to a chroot's host                                       
Building initial module for 2.6.38-10-generic                                                                       
Done.

vboxdrv:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-10-generic/updates/dkms/

vboxnetadp.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-10-generic/updates/dkms/

vboxnetflt.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-10-generic/updates/dkms/

vboxpci.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-10-generic/updates/dkms/

depmod....

DKMS: install completed.
Building initial module for 2.6.38-11-generic
Done.

vboxdrv:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-11-generic/updates/dkms/

vboxnetadp.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-11-generic/updates/dkms/

vboxnetflt.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-11-generic/updates/dkms/

vboxpci.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-11-generic/updates/dkms/

depmod....

DKMS: install completed.
Building initial module for 2.6.38-14-generic
Done.

vboxdrv:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-14-generic/updates/dkms/

vboxnetadp.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-14-generic/updates/dkms/

vboxnetflt.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-14-generic/updates/dkms/

vboxpci.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-14-generic/updates/dkms/

depmod....

DKMS: install completed.
Building initial module for 2.6.38-8-generic
Done.

vboxdrv:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-8-generic/updates/dkms/

vboxnetadp.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-8-generic/updates/dkms/

vboxnetflt.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-8-generic/updates/dkms/

vboxpci.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-8-generic/updates/dkms/

depmod....

DKMS: install completed.
Building initial module for 3.2.0-60-generic

Done.

vboxdrv:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-60-generic/updates/dkms/

vboxnetadp.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-60-generic/updates/dkms/

vboxnetflt.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-60-generic/updates/dkms/

vboxpci.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-60-generic/updates/dkms/

depmod....

DKMS: install completed.
 * Stopping VirtualBox kernel modules                                                                             Opening /proc/modules: No such file or directory
Opening /proc/modules: No such file or directory
Opening /proc/modules: No such file or directory
Opening /proc/modules: No such file or directory
                                                                                                           [ OK ]
 * Starting VirtualBox kernel modules                                                                             Opening /proc/modules: No such file or directory
 * No suitable module for running kernel found
                                                                                                           [fail]
invoke-rc.d: initscript virtualbox, action "restart" failed.
Konfigurowanie virtualbox-qt (4.1.12-dfsg-2ubuntu0.5) ...

i found some info to i must install kerel headers but

sudo apt-get install linux-headers-$(uname -r) 
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
E: Nie udało się odnaleźć pakietu linux-headers-2.6.38.2-grsec-xxxx-grs-ipv6-64

(not found)

i found info to install kernel headers but :

sudo apt-get install linux-headers-$(uname -r) 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package linux-headers-2.6.38.2-grsec-xxxx-grs-ipv6-64
E: Couldn't find any package by regex 'linux-headers-2.6.38.2-grsec-xxxx-grs-ipv6-64'

what can i do ?

share|improve this question

3 Answers 3

up vote 3 down vote accepted

I have same error after upgrading linux-image package. In order to build modules you need virtualbox-source or virtualbox-dkms package. I end with virtualbox-dkms package.

So I install missing linux-headers-amd64:

$ sudo apt-get install linux-headers-amd64

And rebuild virtualbox.ko:

$ sudo dpkg-reconfigure --priority low virtualbox-dkms 

And load modules:

$ sudo service virtualbox start

Finally VirtualBox be able to run guests!

share|improve this answer

Besides apt-get install virtualbox you must also run (as root) apt-get install virtualbox-source module-assistant m-a prepare m-a a-i virtualbox-source Then /etc/init.d/virtualbox start should work.

Cobbled together from various Google searches, and worked for me on Linux Mint 17 (Ubuntu 14.04)

share|improve this answer
    
This worked perfectly for me, although I installed the virtualbox package after using module-assistant, not before. Also, if you're using a desktop environment, e.g. Cinnamon on Linux Mint, you have to also run apt-get install virtualbox-qt in order for the VirtualBox GUI to be available (not really applicable to this question, but hopefully helpful to others who find this). –  Joe Oct 18 '14 at 13:30

None of the above worked for me. Nor any of what I found on the net actually...

TL;DR

If any of you have the same issue, this is the way I fixed it :

# cleanup old stuff    
apt-get autoremove --purge virtualbox virtualbox-dkms virtualbox-qt

# install 
echo "deb http://http.debian.net/debian/ wheezy-backports main contrib" > /etc/apt/sources.list.d/backports.list
apt-get update
apt-get install linux-headers-$(uname -r|sed 's,[^-]*-[^-]*-,,')
apt-get -t wheezy-backports install virtualbox

Notes

When the install was over I had a valid virtualbox setup even though I got an error message during the process => [FAIL] Starting VirtualBox kernel modules[....] No suitable module for running kernel found ... failed!

So don't worry as soon as you later have the line DKMS: install completed. and you are able to run vboxmanage --version

Specs

My linux server was made of

Distributor ID: Debian
Description:    Debian GNU/Linux 7.8 (wheezy)
Release:        7
Codename:       wheezy
Kernel:         3.16.0-0.bpo.4-amd64
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.